Bug 1179995 - Document -drive rerror/werror restrictions
Summary: Document -drive rerror/werror restrictions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: CongLi
URL:
Whiteboard:
Depends On: 1123355
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-08 02:20 UTC by Sibiao Luo
Modified: 2019-11-26 16:34 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1123355
Environment:
Last Closed: 2019-11-26 16:34:41 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Sibiao Luo 2015-01-08 02:21:41 UTC
host info:
# uname -r && rpm -q qemu-kvm
3.10.0-220.el7.x86_64
qemu-kvm-1.5.3-85.el7.x86_64

Comment 4 juzhang 2017-06-08 11:37:11 UTC
Hi Cong,

Please update the QA contact.

Comment 6 Markus Armbruster 2019-11-26 16:34:41 UTC
Bug description got hidden by clone, I hate that.  Repeat:

    rerror/werror require support in the underlying device model.
    Currently, only ide-hd, ide-cd, ide-drive (legacy), scsi-hd, scsi-cd,
    scsi-disk (legacy), scsi-block (partially[*]), virtio-blk-device do.

    Device models that do not support it: isa-fdc, cfi.pflash01,
    scsi-generic, nvme, ...

There are two ways to control rerror & werror:

* Device properties "rerror", "werror"

  Only the devices supporting the feature (whole or in part) provide
  these properties.  They reject values they don't support, if any.

  The properties are only documented in -device DRIVER,help, as usual.

* -drive parameters "rerror", "werror"

  These predate device properties.  Devices supporting the feature
  fall back to them when the device properties are not set, for
  backwards compatibility.  See commit 8c398252182.

  When the device doesn't support the feature, they're silently
  ignored, except for a few devices that take the trouble to reject
  them.

This bug is about documenting the "silently ignored" part.  It's tied
to -drive; -blockdev does not provide these parameters,

Since we're pretty close to ditching -drive for good, there is no need
for documenting its minor defects anymore.


Note You need to log in before you can comment on or make changes to this bug.